Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class PrefixFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.PrefixFilter

All Implemented Interfaces:
  Serializable

    public class PrefixFilter

extends Filter

Version:
  $Id$
See Also:
  Serialized Form

Field Summary
`protected Term` | `prefix`

Constructor Summary
`PrefixFilter(Term prefix)`

Method Summary
`BitSet` | `bits(IndexReader reader)` Deprecated. Use `getDocIdSet(IndexReader)` instead.
`DocIdSet` | `getDocIdSet(IndexReader reader)`
`Term` | `getPrefix()`
`String` | `toString()` Prints a user-readable version of this query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prefix

    protected final Term prefix

Constructor Detail

### PrefixFilter

    public PrefixFilter(Term prefix)

Method Detail

### getPrefix

    public Term getPrefix()

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Deprecated. Use `getDocIdSet(IndexReader)` instead.

  Overrides:
    `bits` in class `Filter`
  Returns:
    A BitSet with true for documents which should be permitted in search results, and false for those that should not.
  Throws:
    `IOException`

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  Overrides:
    `getDocIdSet` in class `Filter`
  Returns:
    a DocIdSet that provides the documents which should be permitted or prohibited in search results.
  Throws:
    `IOException`
  See Also:
    `DocIdBitSet`

### toString

    public String toString()

  Prints a user-readable version of this query.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.